Openmama 2.4.0 over windows no bridge noop


macrux
 

Hi All,

I'm trying to run OpenMAMA 2.4.0 x86 on windows 8. The package was downloaded from Github releases page. I'm getting this message:

\bin\dynamic>mamapublisherc.exe -tport pub -m qpid
Starting Publisher with:
  topic:              MAMA_TOPIC
  inbound topic:      MAMA_INBOUND_TOPIC
  interval            0.500000
  transport:          pub
2016-06-29 12:31:45: mama_loadPayloadBridge(): Could not open entitlement bridge
library [noop] [126]
2016-06-29 12:31:45: mama_openWithProperties(): Could not load noop entitlements
library.
Error initializing mama: NO_BRIDGE_IMPL


Currently I have an OpenMAMA 2.3.1 running on the same machine and everything goes well, so the problem should be with this specific release and that noop library. Could anyone help me?

Thanks in advance,

-Nestor.


Dmitri Fedorov <dfedorov.solace@...>
 

​Hi Nestor,

Do you have libmamaentnoop.so in your OpenMAMA lib directory?


Cheers​

Regards,
Dmitri Fedorov
Software Architect
Solace Systems, Inc.
Ottawa, ON Canada

Solace Systems accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. Any views or opinions presented in this email are solely those of the author and do not necessarily represent those of Solace Systems.

On 29 June 2016 at 14:26, Macrux <kmacrux@...> wrote:
Hi All,

I'm trying to run OpenMAMA 2.4.0 x86 on windows 8. The package was downloaded from Github releases page. I'm getting this message:

\bin\dynamic>mamapublisherc.exe -tport pub -m qpid
Starting Publisher with:
  topic:              MAMA_TOPIC
  inbound topic:      MAMA_INBOUND_TOPIC
  interval            0.500000
  transport:          pub
2016-06-29 12:31:45: mama_loadPayloadBridge(): Could not open entitlement bridge
library [noop] [126]
2016-06-29 12:31:45: mama_openWithProperties(): Could not load noop entitlements
library.
Error initializing mama: NO_BRIDGE_IMPL


Currently I have an OpenMAMA 2.3.1 running on the same machine and everything goes well, so the problem should be with this specific release and that noop library. Could anyone help me?

Thanks in advance,

-Nestor.

_______________________________________________
Openmama-dev mailing list
Openmama-dev@...
https://lists.openmama.org/mailman/listinfo/openmama-dev



Dmitri Fedorov <dfedorov.solace@...>
 

Sorry, I meant libmamaentnoop.dll :-)

Regards,
Dmitri Fedorov
Software Architect
Solace Systems, Inc.
Ottawa, ON Canada

Solace Systems accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. Any views or opinions presented in this email are solely those of the author and do not necessarily represent those of Solace Systems.

On 29 June 2016 at 14:34, Dmitri Fedorov <dfedorov.solace@...> wrote:
​Hi Nestor,

Do you have libmamaentnoop.so in your OpenMAMA lib directory?


Cheers​

Regards,
Dmitri Fedorov
Software Architect
Solace Systems, Inc.
Ottawa, ON Canada

Solace Systems accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. Any views or opinions presented in this email are solely those of the author and do not necessarily represent those of Solace Systems.

On 29 June 2016 at 14:26, Macrux <kmacrux@...> wrote:
Hi All,

I'm trying to run OpenMAMA 2.4.0 x86 on windows 8. The package was downloaded from Github releases page. I'm getting this message:

\bin\dynamic>mamapublisherc.exe -tport pub -m qpid
Starting Publisher with:
  topic:              MAMA_TOPIC
  inbound topic:      MAMA_INBOUND_TOPIC
  interval            0.500000
  transport:          pub
2016-06-29 12:31:45: mama_loadPayloadBridge(): Could not open entitlement bridge
library [noop] [126]
2016-06-29 12:31:45: mama_openWithProperties(): Could not load noop entitlements
library.
Error initializing mama: NO_BRIDGE_IMPL


Currently I have an OpenMAMA 2.3.1 running on the same machine and everything goes well, so the problem should be with this specific release and that noop library. Could anyone help me?

Thanks in advance,

-Nestor.

_______________________________________________
Openmama-dev mailing list
Openmama-dev@...
https://lists.openmama.org/mailman/listinfo/openmama-dev




Dmitri Fedorov <dfedorov.solace@...>
 

In case someone runs into the same issue

Regards,
Dmitri Fedorov
Software Architect
Solace Systems, Inc.
Ottawa, ON Canada

Solace Systems accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. Any views or opinions presented in this email are solely those of the author and do not necessarily represent those of Solace Systems.

---------- Forwarded message ----------
From: Macrux <kmacrux@...>
Date: 29 June 2016 at 17:00
Subject: Re: [Openmama-dev] Openmama 2.4.0 over windows no bridge noop
To: Dmitri Fedorov <dfedorov.solace@...>


Hi Dmitri, it worked perfect. Thank you very much :)

On 29 June 2016 at 15:13, Dmitri Fedorov <dfedorov.solace@...> wrote:
Hi Nestor


Regards,
Dmitri Fedorov
Software Architect
Solace Systems, Inc.
Ottawa, ON Canada

Solace Systems accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. Any views or opinions presented in this email are solely those of the author and do not necessarily represent those of Solace Systems.

On 29 June 2016 at 15:22, Macrux <kmacrux@...> wrote:
Hi Dmitri,

Actually I'm running out of time because I need to test some work related the new broker transport. I would really apreciate if you can share the binaries with me. In the other hand, I could download the  2.4.1 release as well (in fact I already did it and it is also missing the libmamaentnoop.dll) but how could I defer the entitlements, I mean, is there any property for that or something else?

Thanks in advance,

-Nestor

On 29 June 2016 at 13:56, Dmitri Fedorov <dfedorov.solace@...> wrote:
​Nestor,

It should be able run without it if entitlements are deferred, but 2.4.0 doesn't handle them (deferred entitlements) well, 2.4.1 does.

I'd suggest to wait for Vela (ex SR LAbs) folks input on this (packaging) issue, I personally compile it with DevStudio​ 2015 and can share it with you over GitHub if you're out of other options.


Regards,
Dmitri Fedorov
Software Architect
Solace Systems, Inc.
Ottawa, ON Canada

Solace Systems accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. Any views or opinions presented in this email are solely those of the author and do not necessarily represent those of Solace Systems.

On 29 June 2016 at 14:41, Macrux <kmacrux@...> wrote:
Hi Dmitri,

No, I don't have it, It doesn't come in the windows release package, I think.

-Nestor

On 29 June 2016 at 13:35, Dmitri Fedorov <dfedorov.solace@...> wrote:
Sorry, I meant libmamaentnoop.dll :-)

Regards,
Dmitri Fedorov
Software Architect
Solace Systems, Inc.
Ottawa, ON Canada

Solace Systems accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. Any views or opinions presented in this email are solely those of the author and do not necessarily represent those of Solace Systems.

On 29 June 2016 at 14:34, Dmitri Fedorov <dfedorov.solace@...> wrote:
​Hi Nestor,

Do you have libmamaentnoop.so in your OpenMAMA lib directory?


Cheers​

Regards,
Dmitri Fedorov
Software Architect
Solace Systems, Inc.
Ottawa, ON Canada

Solace Systems accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. Any views or opinions presented in this email are solely those of the author and do not necessarily represent those of Solace Systems.

On 29 June 2016 at 14:26, Macrux <kmacrux@...> wrote:
Hi All,

I'm trying to run OpenMAMA 2.4.0 x86 on windows 8. The package was downloaded from Github releases page. I'm getting this message:

\bin\dynamic>mamapublisherc.exe -tport pub -m qpid
Starting Publisher with:
  topic:              MAMA_TOPIC
  inbound topic:      MAMA_INBOUND_TOPIC
  interval            0.500000
  transport:          pub
2016-06-29 12:31:45: mama_loadPayloadBridge(): Could not open entitlement bridge
library [noop] [126]
2016-06-29 12:31:45: mama_openWithProperties(): Could not load noop entitlements
library.
Error initializing mama: NO_BRIDGE_IMPL


Currently I have an OpenMAMA 2.3.1 running on the same machine and everything goes well, so the problem should be with this specific release and that noop library. Could anyone help me?

Thanks in advance,

-Nestor.

_______________________________________________
Openmama-dev mailing list
Openmama-dev@...
https://lists.openmama.org/mailman/listinfo/openmama-dev